org.apache.tools.ant.taskdefs

## Class Javadoc.ResourceCollectionContainer

- java.lang.Object
- - org.apache.tools.ant.taskdefs.Javadoc.ResourceCollectionContainer

Enclosing class:
  Javadoc

    public class Javadoc.ResourceCollectionContainer
    extends java.lang.Object

Holds a collection of ResourceCollections.

A separate kind of container is needed since this task contains special handling for FileSets that has to occur at task runtime.

### Constructor Summary

Constructors
Constructor and Description
`Javadoc.ResourceCollectionContainer()`

### Method Summary

Methods
`void` `add(ResourceCollection rc)` Add a resource collection to the container.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Javadoc.ResourceCollectionContainer

    public Javadoc.ResourceCollectionContainer()

### Method Detail

#### add

    public void add(ResourceCollection rc)

Add a resource collection to the container.

Parameters:
  `rc` - the collection to add.